# FixedBattleConfig | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FixedBattleConfig

- Defined in src/battle.ts:377

#####
Index

### Constructors

constructor

### Properties

battleType
double
getEnemyParty
getTrainer
seedOffsetWaveIndex

### Methods

setBattleType
setDouble
setGetEnemyPartyFunc
setGetTrainerFunc
setSeedOffsetWave

## Constructors

### constructor

- new FixedBattleConfig(): FixedBattleConfig

- #### Returns FixedBattleConfig

## Properties

### battleType

battleType: BattleType

- Defined in src/battle.ts:378

### double

double: boolean

- Defined in src/battle.ts:379

### getEnemyParty

getEnemyParty: GetEnemyPartyFunc

- Defined in src/battle.ts:381

### getTrainer

getTrainer: GetTrainerFunc

- Defined in src/battle.ts:380

### seedOffsetWaveIndex

seedOffsetWaveIndex: number

- Defined in src/battle.ts:382

## Methods

### setBattleType

- setBattleType(battleType): FixedBattleConfig

- #### Parameters

  - battleType: BattleType

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:384

### setDouble

- setDouble(double): FixedBattleConfig

- #### Parameters

  - double: boolean

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:389

### setGetEnemyPartyFunc

- setGetEnemyPartyFunc(getEnemyPartyFunc): FixedBattleConfig

- #### Parameters

  - getEnemyPartyFunc: GetEnemyPartyFunc

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:399

### setGetTrainerFunc

- setGetTrainerFunc(getTrainerFunc): FixedBattleConfig

- #### Parameters

  - getTrainerFunc: GetTrainerFunc

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:394

### setSeedOffsetWave

- setSeedOffsetWave(seedOffsetWaveIndex): FixedBattleConfig

- #### Parameters

  - seedOffsetWaveIndex: number

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:404